Summary: The Omni Print Driver System
Name: Omni
Version: 0.5.0
Release: 4s.1
License: LGPL
URL: http://oss.software.ibm.com/developer/opensource/linux/projects/omni/
Group: Applications/Publishing
Source0: http://prdownloads.sourceforge.net/omniprint/Omni-0.5.0.tar.gz
Patch0: Omni-0.5.0-Omni_path.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The Omni printer driver provides support for over 300 printers using
the Ghostscript framework. In addition, it provides a model for dynamically
loading printer drivers, creating new devices by editing device description
files, and simplifies new printer driver development by allowing for the
subclassing of previous device features.


%package foomatic
Summary: Foomatic data for the Omni Print Driver System
Group: System/Libraries
Requires: Omni = %{version}-%{release}, foomatic

%description foomatic
Foomatic driver meta information for the Omn Print Driver framework.


%prep
%setup -q -n %{name}
# move readme into the directory, where it belongs
mv ../Omni.readme.1st .

# Adjust the module search paths to look in /usr/lib/Omni/ and /opt/Omni/bin/
%patch0 -p1 -b .Omni_path


%build
# Make the omni libs
	make retail=1

# Make the foomatic files
	cd Foomatic
	make run
	cd ..


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

# Install the libs.
	mkdir -p $RPM_BUILD_ROOT/usr/lib/Omni
	find . Brother Canon Epson 'HP LaserJet' IBM KS \
		Okidata Panasonic Star \
		-maxdepth 1 -name "*.so" \
		-exec install '{}' $RPM_BUILD_ROOT/usr/lib/Omni/ ';'

# Install the foomatic data
	mkdir -p $RPM_BUILD_ROOT/usr/share/foomatic/db/source/{driver,opt}
	cp -a Foomatic/foomatic-db/db/source/driver/* \
		$RPM_BUILD_ROOT/usr/share/foomatic/db/source/driver/
	cp -a Foomatic/foomatic-db/db/source/opt/* \
		$RPM_BUILD_ROOT/usr/share/foomatic/db/source/opt/

%clean
rm -rf $RPM_BUILD_ROOT

%post foomatic
# zap the cache
rm -rf /var/chache/foomatic/{pcache,compiled}/*

%files
%defattr(-,root,root)
/usr/lib/*

%files foomatic
%defattr(-,root,root)
/usr/share/foomatic/db/*/*


%changelog
* Wed Mar 18 2003 D. Marlin <dmarlin@redhat.com>
- new s390 release number and rebuild for s390 (bug #85960)

* Thu Oct 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-4
- zap the foomatic cache on install

* Thu Oct 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-2
- patch to make omni seek in /usr/lib/Omni and /opt/Omni/bin

* Mon Oct 15 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-1
- initial packaging
